Chuyển tới nội dung chính

Biểu đồ nhiệt giao dịch nước ngoài

API cung cấp dữ liệu giao dịch nước ngoài để hiển thị heatmap, bao gồm tổng giá trị mua/bán và danh sách cổ phiếu được giao dịch nhiều nhất bởi nhà đầu tư nước ngoài.

HTTP request

  • URL: /api/historical/v1/partner/market/foreign-transaction/heatmap
  • Method: GET
  • Content Type: application/json
  • Response Type: application/json

Tham số header

HeaderMô tảKiểu dữ liệuBắt buộc
X-Api-KeyKhóa duy nhất.string

Tham Số Truy Vấn (Query Parameters)

Tên Tham SốKiểu Dữ LiệuMô Tả
tickerstringMã chỉ số.
periodstringKhoảng thời gian:
- 1D: 1 ngày
- 1W: 1 tuần
- 1M: 1 tháng
- 3M: 3 tháng
- 1Y: 1 năm
- YTD: từ đầu năm
optionstringLoại dữ liệu:
- 0: giá trị ròng
- 1: giá trị

Phản Hồi (Response)

Response Mẫu

{
"status": 200,
"message": "Success",
"data": {
"totalBuyValue": 1850475221090.0261,
"totalSellValue": -2177299818826.3118,
"buyValues": [
{
"ticker": "SHB",
"priceClose": 18300,
"netChange": -200,
"pctChange": -1.0810810810810811,
"value": 206915383291.3929
},
{
"ticker": "VIX",
"priceClose": 36500,
"netChange": 200,
"pctChange": 0.5509641873278293,
"value": 202981761938.50372
},
{
"ticker": "VSC",
"priceClose": 35100,
"netChange": 100,
"pctChange": 0.28571428571428914,
"value": 146527537477.774
}
],
"sellValues": [
{
"ticker": "CTI",
"priceClose": 25850,
"netChange": -1400,
"pctChange": -5.137614678899083,
"value": -3644923692.701276
},
{
"ticker": "KDC",
"priceClose": 53900,
"netChange": -100,
"pctChange": -0.18518518518518823,
"value": -4139020581.304006
},
{
"ticker": "HSG",
"priceClose": 18850,
"netChange": -750,
"pctChange": -3.826530612244894,
"value": -4327792281.367191
}
]
}
}

Chi Tiết Tham Số Response

Tên Thuộc TínhKiểu Dữ LiệuMô Tả
statusnumberMã trạng thái HTTP
messagestringThông báo kết quả xử lý
dataobject (Xem chi tiết)Dữ liệu giao dịch

Cấu trúc thuộc tính data

Quay lại
Tên Thuộc TínhKiểu Dữ LiệuMô Tả
totalBuyValuenumberTổng giá trị mua
totalSellValuenumberTổng giá trị bán
buyValuesarray (Xem chi tiết)Danh sách cổ phiếu mua nhiều nhất
sellValuesarray (Xem chi tiết)Danh sách cổ phiếu bán nhiều nhất

Cấu trúc thuộc tính data.buyValues, data.sellValues

Quay lại
Tên Thuộc TínhKiểu Dữ LiệuMô Tả
tickerstringMã cổ phiếu
priceClosenumberGiá đóng cửa
netChangenumberThay đổi tuyệt đối
pctChangenumberThay đổi phần trăm
valuenumberGiá trị giao dịch

CREDENTIALS

RESPONSE200

{
"status": 200,
"message": "Success",
"data": {
"totalBuyValue": 1850475221090.0261,
"totalSellValue": -2177299818826.3118,
"buyValues": [
{
"ticker": "SHB",
"priceClose": 18300,
"netChange": -200,
"pctChange": -1.0810810810810811,
"value": 206915383291.3929
},
{
"ticker": "VIX",
"priceClose": 36500,
"netChange": 200,
"pctChange": 0.5509641873278293,
"value": 202981761938.50372
},
{
"ticker": "VSC",
"priceClose": 35100,
"netChange": 100,
"pctChange": 0.28571428571428914,
"value": 146527537477.774
}
],
"sellValues": [
{
"ticker": "CTI",
"priceClose": 25850,
"netChange": -1400,
"pctChange": -5.137614678899083,
"value": -3644923692.701276
},
{
"ticker": "KDC",
"priceClose": 53900,
"netChange": -100,
"pctChange": -0.18518518518518823,
"value": -4139020581.304006
},
{
"ticker": "HSG",
"priceClose": 18850,
"netChange": -750,
"pctChange": -3.826530612244894,
"value": -4327792281.367191
}
]
}
}